%if ! 0%{?rhel} > 5
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%endif

Name:           loggerhead
Version:        1.18.2
Release:        9%{?dist}
Summary:        Web viewer for the Bazaar version control system

Group:          Development/Tools
License:        GPLv2+
URL:            https://launchpad.net/loggerhead
Source0:        https://pypi.python.org/packages/source/l/loggerhead/loggerhead-%{version}.tar.gz

BuildArch: noarch

BuildRequires: python2-devel
BuildRequires: python2-setuptools
BuildRequires: python2-paste
BuildRequires: python2-paste-deploy
BuildRequires: python2-simplejson
BuildRequires: python2-testtools
BuildRequires: python2-pygments
BuildRequires: python2-simpletal
# loggerhead has grown a test suite but it needs python-fixtures
#BuildRequires: python2-fixtures
Requires: python2-setuptools
Requires: python2-paste-deploy
Requires: python2-simpletal
Requires: python2-simplejson
Requires: python2-paste
Requires: bzr
Requires: python2-pygments
%if 0%{?rhel} && 0%{?rhel} <= 5
Requires: python-sqlite2
Requires: python-elementtree
%endif
# If bzr-search is packaged we could make use of it
# Requires: bzr-search
# If deployed as fcgi, scgi, or ajp, we'd need this:
# Requires: python2-flup
# If python-dozer were packaged, we could do memory_profiling
# Requires: python-dozer

%description
Loggerhead is a WSGI app that provides a web interface to the Bazaar version
control system.  It can be used to navigate a branch history, view who
changed lines in a file, look at patches, and perform searches.

%prep
%setup -q

# This is a prebuilt binary flash file.  It's part of the yui framework.  It's
# for cross domain requests so it's not needed or used in loggerhead.
rm loggerhead/static/javascript/yui/build/io/io.swf

%build
CFLAGS="%{optflags}" %{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}

# We're just going to put this in docs
rm -rf %{buildroot}%{_docdir}/loggerhead

# FHS Compliance:
mkdir -p %{buildroot}/%{_datadir}/loggerhead
mv %{buildroot}%{python_sitelib}/loggerhead/static %{buildroot}%{_datadir}/loggerhead
ln -s %{_datadir}/loggerhead/static %{buildroot}%{python_sitelib}/loggerhead/static

install -D -m 0644 -p bazaar.conf %{buildroot}/%{_sysconfdir}/loggerhead/bazaar.conf
# Link the bazaar configs to apache's home dir
mkdir -p %{buildroot}/%{_var}/www
ln -s %{_sysconfdir}/loggerhead/ %{buildroot}%{_var}/www/.bazaar

install -m 0700 -d %{buildroot}%{_var}/cache/loggerhead

%check
# Need python-fixtures and a fix to bzr-2.4
#make check

%files
%defattr(-,root,root,-)
%doc README NEWS
%doc apache-loggerhead.conf
%{_bindir}/*
%{_mandir}/man1/*
%dir %{_sysconfdir}/loggerhead
%config(noreplace) %{_sysconfdir}/loggerhead/bazaar.conf
%{python_sitelib}/bzrlib/plugins/*
%{python_sitelib}/loggerhead/
%if 0%{?fedora} || 0%{?rhel} > 5
%{python_sitelib}/*egg-info
%endif
%{_datadir}/loggerhead
%{_var}/www/.bazaar
%attr(-,apache,apache) %dir %{_var}/cache/loggerhead

%changelog
* Tue Feb 20 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.18.2-9
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.18.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.18.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.18.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.18.2-5
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.18.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.18.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.18.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Aug 15 2013 Toshio Kuratomi <toshio@fedoraproject.org> - 1.18.2-1
- Update to new upstream version and remove unused flash file

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.18.1-6.20120207bzr467
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.18.1-5.20120207bzr467
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.18.1-4.20120207bzr467
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb  7 2012 Toshio Kuratomi <toshio@fedoraproject.org> - 1.18.1-3.20120207bzr467
- Prerelease snapshot of the next release. Compatible with bzr-2.4.x

* Thu Mar 24 2011 Toshio Kuratomi <toshio@fedoraproject.org> - 1.18.1-1
- New upstream release to fix CVE-2011-0728

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jan 6 2011 Toshio Kuratomi <toshio@fedoraproject.org> - 1.18-1
- Update to 1.18

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 1.17-7
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Thu Apr 15 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 1.17-6
- Set cache dir when used under mod_wsgi
- Note about SELinux boolean that needs flipping in README.mod_wsgi
- Require python-sqlite2 on EPEL5 so that caching occurs.

* Tue Apr 13 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 1.17-5
- Apache will read etc_t just fine with SELinux on.  Maybe this error is being
  generated by python-imaging-tk?

* Sat Apr 10 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 1.17-4
- Compatibility with bzr-2.1 and bzr-2.2b1
- Properly label the loggerhead config files -- will ask dwalsh about the best
  way to do this.

* Fri Apr 9 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 1.17-3
- Fix build on RHEL5

* Wed Apr 7 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 1.17-2
- Fix comments in review.
- Fix a traceback for the download and diff ui pages.

* Tue Apr 6 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 1.17-1
- Initial Fedora build
